Page MenuHomePhabricator

browsertests: puppet class to setup the jenkins slave
Closed, ResolvedPublic

Description

The puppet class role::ci::slave is suitable to run most of Wikimedia Jenkins jobs. The class would need to be made more generic since the class:
installs packages not needed by Browsertests (contint::packages)
set the host as a Gerrit replication destination which might be unwanted in our context.
creates a tempfs
Once we have a generic class, we can extends it to setup a browser tests Jenkins slave.


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz54385

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:05 AM
bzimport set Reference to bz54385.
hashar created this task.Sep 20 2013, 4:46 PM

Also have a look at bug 54384 for ruby dependencies.

We will need at least: ruby-bundler rubygems ruby1.9 phantomjs

Change 85264 had a related patch set uploaded by Hashar:
contint: puppet class to setup browsertests slaves

https://gerrit.wikimedia.org/r/85264

CCing Željko Filipin on any continuous bug related to browsertests. Main tracking bug is: bug 53697, see https://bugzilla.wikimedia.org/showdependencytree.cgi?id=53697&hide_resolved=0

ruby-bundler is too old so we are fetching it from gems directly.

Packages needed are thus: rubygems ruby1.9 phantomjs

Change 86665 had a related patch set uploaded by Hashar:
contint::localvhost easily setup an apache listener

https://gerrit.wikimedia.org/r/86665

Change 86665 merged by Mark Bergsma:
contint::localvhost easily setup an apache listener

https://gerrit.wikimedia.org/r/86665

Change 85264 merged by Andrew Bogott:
contint: puppet class to setup browsertests slaves

https://gerrit.wikimedia.org/r/85264

hashar added a comment.Oct 2 2013, 8:53 AM

I have applied role::ci::slave::browsertests on integration-selenium-driver.pmtpa.wmflabs instance.